// pages/Voucher/Voucher.js
let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    telPhone: '',
    tcId: null,
    orderId: null
  },
  //问券详情跳转
  Details: function (e) {
    if (!this.data.telPhone) {
      wx.showToast({
        title: '请输入手机号',
        icon: 'none',
        duration: 1000
      })
    } else {
      let data = {
        guestMobile: this.data.telPhone,
        // TCID: this.data.tcId
        TCID: 4018
      }
      app.$api('miniProgram_price_GetGuestByPhone', data).then(res => { 
        if (res.Id === 0) {
          wx.showToast({
            title: '旅客信息有误，请检查手机号',
            icon: 'none',
            duration: 1000
          })
          return
        }
        let _this = this;
        let nameID = res.SurName + (res.Sex === 1 ? '先生' : '女士');
        wx.setStorage({
          key: "info",
          data: {
            nameID: nameID,
            ID: res.Id,
          }
        })
        this.setData({
          orderId: res.OrderId
        })
        wx.navigateTo({
          url: '/pages/Voucher/VoucherDetails/VoucherDetails?&orderId=' + _this.data.orderId + '&tcId=' + _this.data.tcId
        })
      }).catch(err => {
        wx.showToast({
          title: err.message,
          icon: 'none',
          duration: 1000
        })
      })
      
    }
  },
  //输入手机号
  TelPhone: function (e) {
    console.log(e.detail.value)
    this.setData({
      telPhone: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const scene = decodeURIComponent(options.scene)
    if (scene) {
      let tcId = scene.split('=')[1] ? scene.split('=')[1] : options.tcid;
      console.log(tcId)
      this.setData({
        tcId: tcId
      })
    }
    //修改title
    wx.setNavigationBarTitle({
      title: '意见调查'  
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})